<?php
/**
 * QQ机器人接口文件，供QQ机器人调用
 * 
 * @author anqiu xiao
 * @version 1.0
 * @date	2010.09.27
 */
header('Content-type: text/html; charset=utf-8');
@header('Expires: Thu, 01 Jan 1970 00:00:01 GMT');
@header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
@header('Cache-Control: no-cache, must-revalidate, max-age=0');
@header('Pragma: no-cache');

//接收QQ机器人消息
if($REQUEST_METHOD == "POST")
{
	//动作ID
	$ExternalId = trim($_POST["ExternalId"]);
	//好友QQ号码
	$Sender = trim($_POST["Sender"]);
	//消息内容
	$Message = trim($_POST["Message"]);
	//收到QQ好友消息
	if($ExternalId == "0")
	{
		//可在此自定义任何信息查询格式，如查询订单进度
		
	}
	//加好友消息
	else if ($ExternalId == "-1")
	{
		
	}
	//好友签名修改
	else if ($ExternalId == "-3")
	{
		
	}
	//好有状态改变
	else if ($ExternalId == "-4")
	{
		
	}
	//发送机器人的QQ号码到接口
	else if ($ExternalId == "-5")
	{
		
	}
	//打开机器人聊天窗口或者发送振动事件
	else if ($ExternalId == "-6")
	{
		
	}
	//其他事件
	else
	{
		
	}
}
//给机器人发消息
//消息格式请参见QQ机器人文档，网址：http://www.svnhost.cn/qqtest.aspx
else
{
	require_once("./cls_qqrobot.php");
	$qqrobot = new qqrobot();
	$msg = $qqrobot->getFirstMsg();
	if(isset($msg['qq']) && !empty($msg['qq'])
		 && isset($msg['content']) && !empty($msg['content'])){
		echo "0\n" . $msg['qq'] . "\n" . $msg['content'];
	}
}